# tlv.h File Reference

`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/misc.h>`

Go to the source code of this file.

## Typedefs

typedef GWEN_TLV | GWEN_TLV

## Functions

GWENHYWFAR_API void | GWEN_TLV_free (GWEN_TLV *tlv)
GWENHYWFAR_API GWEN_TLV * | GWEN_TLV_fromBuffer (GWEN_BUFFER *mbuf, int isBerTlv)
GWENHYWFAR_API unsigned int | GWEN_TLV_GetClass (const GWEN_TLV *tlv)
GWENHYWFAR_API const void * | GWEN_TLV_GetTagData (const GWEN_TLV *tlv)
GWENHYWFAR_API unsigned int | GWEN_TLV_GetTagLength (const GWEN_TLV *tlv)
GWENHYWFAR_API unsigned int | GWEN_TLV_GetTagSize (const GWEN_TLV *tlv)
GWENHYWFAR_API unsigned int | GWEN_TLV_GetTagType (const GWEN_TLV *tlv)
GWENHYWFAR_API int | GWEN_TLV_IsBerTlv (const GWEN_TLV *tlv)
GWENHYWFAR_API int | GWEN_TLV_IsContructed (const GWEN_TLV *tlv)
GWENHYWFAR_API GWEN_TLV * | GWEN_TLV_new ()

## Typedef Documentation

typedef struct GWEN_TLV GWEN_TLV

## Function Documentation

GWENHYWFAR_API void GWEN_TLV_free | ( | GWEN_TLV * | tlv | ) |

GWENHYWFAR_API GWEN_TLV* GWEN_TLV_fromBuffer | ( | GWEN_BUFFER * | mbuf,
|  | int | isBerTlv
| ) |

GWENHYWFAR_API unsigned int GWEN_TLV_GetClass | ( | const GWEN_TLV * | tlv | ) |

GWENHYWFAR_API const void* GWEN_TLV_GetTagData | ( | const GWEN_TLV * | tlv | ) |

GWENHYWFAR_API unsigned int GWEN_TLV_GetTagLength | ( | const GWEN_TLV * | tlv | ) |

GWENHYWFAR_API unsigned int GWEN_TLV_GetTagSize | ( | const GWEN_TLV * | tlv | ) |

GWENHYWFAR_API unsigned int GWEN_TLV_GetTagType | ( | const GWEN_TLV * | tlv | ) |

GWENHYWFAR_API int GWEN_TLV_IsBerTlv | ( | const GWEN_TLV * | tlv | ) |

GWENHYWFAR_API int GWEN_TLV_IsContructed | ( | const GWEN_TLV * | tlv | ) |

GWENHYWFAR_API GWEN_TLV* GWEN_TLV_new | ( |  | ) |